Package com.treemap

# Class AggregationFactory

java.lang.Object
com.treemap.AggregationFactory

public class AggregationFactory extends Object
Factory class for accessing predefined aggregation schemes.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Aggregation`
  `AVERAGE_AGGREGATION`
  Aggregate values by averaging them.
  `static final Aggregation`
  `COUNT_AGGREGATION`
  Aggregate values by counting them.
  `static final Aggregation`
  `MAX_AGGREGATION`
  Aggregate values by finding the maximum value.
  `static final Aggregation`
  `MIN_AGGREGATION`
  Aggregate values by finding the minimum value.
  `static final Aggregation`
  `NONE_AGGREGATION`
  Aggregate values by always returning null.
  `static final Aggregation`
  `SIZE_WEIGHTED_AGGREGATION`
  Aggregate values by averaging them.
  `static final Aggregation`
  `STD_DEV_AGGREGATION`
  Aggregate values by computing the standard deviation.
  `static final Aggregation`
  `SUM_AGGREGATION`
  Aggregate values by computing the sum.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AggregationFactory(Aggregation... entries)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Aggregation entry)`
  `Aggregation`
  `find(String name)`
  `Aggregation`
  `get(String name)`
  `List<Aggregation>`
  `getAggregations()`
  `Aggregation`
  `getDefault()`
  `static AggregationFactory`
  `getInstance()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NONE_AGGREGATION

    public static final Aggregation NONE_AGGREGATION
    Aggregate values by always returning null.

  - ### SUM_AGGREGATION

    public static final Aggregation SUM_AGGREGATION
    Aggregate values by computing the sum.

  - ### SIZE_WEIGHTED_AGGREGATION

    public static final Aggregation SIZE_WEIGHTED_AGGREGATION
    Aggregate values by averaging them.

  - ### AVERAGE_AGGREGATION

    public static final Aggregation AVERAGE_AGGREGATION
    Aggregate values by averaging them.

  - ### COUNT_AGGREGATION

    public static final Aggregation COUNT_AGGREGATION
    Aggregate values by counting them.

  - ### MIN_AGGREGATION

    public static final Aggregation MIN_AGGREGATION
    Aggregate values by finding the minimum value.

  - ### MAX_AGGREGATION

    public static final Aggregation MAX_AGGREGATION
    Aggregate values by finding the maximum value.

  - ### STD_DEV_AGGREGATION

    public static final Aggregation STD_DEV_AGGREGATION
    Aggregate values by computing the standard deviation.

- ## Constructor Details

  - ### AggregationFactory

    public AggregationFactory(Aggregation... entries)

- ## Method Details

  - ### getInstance

    public static AggregationFactory getInstance()

  - ### add

    public void add(Aggregation entry)

  - ### getDefault

    public Aggregation getDefault()

  - ### getAggregations

    public List<Aggregation> getAggregations()

  - ### get

    public Aggregation get(String name)

  - ### find

    public Aggregation find(String name)